/* copyright (c) 2007 magnus auvinen, see licence.txt for more info */


/* client */
MACRO_CONFIG_INT(cl_predict, 1, 0, 1, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Predict client movements")
MACRO_CONFIG_INT(cl_nameplates, 0, 0, 1, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Show nameplates")
MACRO_CONFIG_INT(cl_nameplates_always, 0, 0, 1, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Always show nameplats disregarding of distance")
MACRO_CONFIG_INT(cl_autoswitch_weapons, 0, 0, 1, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Auto switch weapon on pickup")

MACRO_CONFIG_INT(cl_showfps, 0, 0, 1, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Show ingame FPS counter")

MACRO_CONFIG_INT(cl_airjumpindicator, 1, 0, 1, CFGFLAG_CLIENT|CFGFLAG_SAVE, "")
MACRO_CONFIG_INT(cl_threadsoundloading, 0, 0, 1, CFGFLAG_CLIENT|CFGFLAG_SAVE, "")

MACRO_CONFIG_INT(cl_warning_teambalance, 1, 0, 1, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Warn about team balance")

MACRO_CONFIG_INT(cl_mouse_deadzone, 300, 0, 0, CFGFLAG_CLIENT|CFGFLAG_SAVE, "")
MACRO_CONFIG_INT(cl_mouse_followfactor, 60, 0, 200, CFGFLAG_CLIENT|CFGFLAG_SAVE, "")
MACRO_CONFIG_INT(cl_mouse_max_distance, 800, 0, 0, CFGFLAG_CLIENT|CFGFLAG_SAVE, "")

MACRO_CONFIG_INT(ed_showkeys, 0, 0, 1, CFGFLAG_CLIENT|CFGFLAG_SAVE, "")

MACRO_CONFIG_INT(cl_flow, 0, 0, 1, CFGFLAG_CLIENT|CFGFLAG_SAVE, "")

MACRO_CONFIG_INT(cl_show_welcome, 1, 0, 1, CFGFLAG_CLIENT|CFGFLAG_SAVE, "")
MACRO_CONFIG_INT(cl_motd_time, 10, 0, 100, CFGFLAG_CLIENT|CFGFLAG_SAVE, "How long to show the server message of the day")

MACRO_CONFIG_STR(cl_version_server, 100, "version.teeworlds.com", CFGFLAG_CLIENT|CFGFLAG_SAVE, "Server to use to check for new versions")

MACRO_CONFIG_INT(player_use_custom_color, 0, 0, 1, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Toggles usage of custom colors")
MACRO_CONFIG_INT(player_color_body, 65408, 0, 0, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Player body color")
MACRO_CONFIG_INT(player_color_feet, 65408, 0, 0, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Player feet color")
MACRO_CONFIG_STR(player_skin, 64, "default", CFGFLAG_CLIENT|CFGFLAG_SAVE, "Player skin")

MACRO_CONFIG_INT(ui_page, 5, 0, 9, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Interface page")
MACRO_CONFIG_STR(ui_server_address, 128, "localhost:8303", CFGFLAG_CLIENT|CFGFLAG_SAVE, "Interface server address")
MACRO_CONFIG_INT(ui_scale, 100, 1, 100000, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Interface scale")

MACRO_CONFIG_INT(ui_color_hue, 160, 0, 255, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Interface color hue")
MACRO_CONFIG_INT(ui_color_sat, 70, 0, 255, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Interface color saturation")
MACRO_CONFIG_INT(ui_color_lht, 175, 0, 255, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Interface color lightness")
MACRO_CONFIG_INT(ui_color_alpha, 228, 0, 255, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Interface alpha")

MACRO_CONFIG_INT(gfx_noclip, 0, 0, 1, CFGFLAG_CLIENT|CFGFLAG_SAVE, "Disable clipping")

/* server */
MACRO_CONFIG_INT(sv_warmup, 0, 0, 0, CFGFLAG_SERVER, "Number of seconds to do warmup before round starts")
MACRO_CONFIG_INT(sv_pause_warmup, 0, 0, 0, CFGFLAG_SERVER, "Number of seconds to do warmup before unpausing the game");
MACRO_CONFIG_STR(sv_motd, 900, "", CFGFLAG_SERVER, "Message of the day to display for the clients")
MACRO_CONFIG_INT(sv_teamdamage, 0, 0, 1, CFGFLAG_SERVER, "Team damage")
MACRO_CONFIG_STR(sv_maprotation, 768, "", CFGFLAG_SERVER, "Maps to rotate between")
MACRO_CONFIG_INT(sv_rounds_per_map, 1, 1, 100, CFGFLAG_SERVER, "Number of rounds on each map before rotating")
MACRO_CONFIG_INT(sv_powerups, 1, 0, 1, CFGFLAG_SERVER, "Allow powerups like ninja")
MACRO_CONFIG_INT(sv_scorelimit, 20, 0, 0, CFGFLAG_SERVER, "Score limit (0 disables)")
MACRO_CONFIG_INT(sv_timelimit, 0, 0, 0, CFGFLAG_SERVER, "Time limit in minutes (0 disables)")
MACRO_CONFIG_STR(sv_gametype, 32, "dm", CFGFLAG_SERVER, "Game type (dm, tdm, ctf, idm, itdm, ictf, ifreeze, ifrzctf, ifb)")
MACRO_CONFIG_INT(sv_tournament_mode, 0, 0, 1, CFGFLAG_SERVER, "Tournament mode. When enabled, players joins the server as spectators")
MACRO_CONFIG_INT(sv_spamprotection, 1, 0, 1, CFGFLAG_SERVER, "Spam protection")

MACRO_CONFIG_INT(sv_spectator_slots, 0, 0, MAX_CLIENTS, CFGFLAG_SERVER, "Number of slots to reserve for spectators")
MACRO_CONFIG_INT(sv_teambalance_time, 1, 0, 1000, CFGFLAG_SERVER, "How many minutes to wait before autobalancing teams")

MACRO_CONFIG_INT(sv_vote_kick, 1, 0, 1, CFGFLAG_SERVER, "Allow voting to kick players")
MACRO_CONFIG_INT(sv_vote_kick_bantime, 5, 0, 1440, CFGFLAG_SERVER, "The time to ban a player if kicked by vote. 0 makes it just use kick")

/*	flagball	*/
MACRO_CONFIG_INT(sv_fb_ball_damage_lose, 1, 0, 1, CFGFLAG_SERVER, "Turns on/off turnover on any damage")
MACRO_CONFIG_INT(sv_fb_ball_deathtile_idle, 3, 0, 60, CFGFLAG_SERVER, "Number of seconds needed to reset a ball after hitting a death tile")
MACRO_CONFIG_INT(sv_fb_ball_reset_time, 30, 1, 500, CFGFLAG_SERVER, "Number of seconds needed to reset an unused ball")
MACRO_CONFIG_INT(sv_fb_ball_velocity, 207, 10, 3000, CFGFLAG_SERVER, "Velocity of the ball after it got shot")
MACRO_CONFIG_INT(sv_fb_direct_pass, 1, 0, 1, CFGFLAG_SERVER, "Turns on/off direct-passing of ball with hook-key")
MACRO_CONFIG_INT(sv_fb_direct_pass_distance, 380, 32, 3200, CFGFLAG_SERVER, "Maximum direct-passing distance")
MACRO_CONFIG_INT(sv_fb_ball_offset_x, 0, 0, 1000, CFGFLAG_SERVER, "X offset of the hookable center of the ball with respect to the lower left corner of the image")
MACRO_CONFIG_INT(sv_fb_ball_offset_y, 38, 0, 1000, CFGFLAG_SERVER, "Y offset of the hookable center of the ball with respect to the lower left corner of the image")
MACRO_CONFIG_INT(sv_fb_ball_radius, 40, 0, 1000, CFGFLAG_SERVER, "Ball hookable radius")
MACRO_CONFIG_INT(sv_fb_laser_momentum, 207, -3000, 3000, CFGFLAG_SERVER, "Momentum passed to a flag when it is hit with laser")
MACRO_CONFIG_INT(sv_fb_goalsize, 64, 32, 500, CFGFLAG_SERVER, "Radius defining goal")
MACRO_CONFIG_INT(sv_fb_goalcamp, 1, 0, 1, CFGFLAG_SERVER, "Turns on/off goal camp protection")
MACRO_CONFIG_INT(sv_fb_goalcamp_time, 3, 1, 600, CFGFLAG_SERVER, "Number of seconds allowed lingering near a goal")
MACRO_CONFIG_INT(sv_fb_goalcamp_factor, 40, 10, 100, CFGFLAG_SERVER, "Goal camp protection radius (value/10.0*sv_fb_goalsize)")
MACRO_CONFIG_INT(sv_fb_hook_ball, 1, 0, 1, CFGFLAG_SERVER, "Turns on/off the possibily to capture the ball by hook")
MACRO_CONFIG_INT(sv_fb_owngoal, 0, 0, 1, CFGFLAG_SERVER, "Turns on/off own goals")
MACRO_CONFIG_INT(sv_fb_owngoal_kick, 2, 0, 20, CFGFLAG_SERVER, "Number of own goals allowed before kicking the player")
MACRO_CONFIG_INT(sv_fb_owngoal_penalty, 30, 0, 999, CFGFLAG_SERVER, "Negative score for own goal player")
MACRO_CONFIG_INT(sv_fb_owngoal_warn, 1, 0, 1, CFGFLAG_SERVER, "Turns on/off warning when player with ball is near own goal")
MACRO_CONFIG_INT(sv_fb_score_player_ball, 5, 0, 100, CFGFLAG_SERVER, "Player score on ball-goal")
MACRO_CONFIG_INT(sv_fb_score_player_stand, 1, 0, 10, CFGFLAG_SERVER, "Player score for taking ball from stand")
MACRO_CONFIG_INT(sv_fb_score_player_tee, 10, 0, 100, CFGFLAG_SERVER, "Player-score on tee-goal")
MACRO_CONFIG_INT(sv_fb_score_team_ball, 50, 1, 100, CFGFLAG_SERVER, "Team-score on ball-goal")
MACRO_CONFIG_INT(sv_fb_score_team_tee, 100, 1, 100, CFGFLAG_SERVER, "Team-score on tee-goal")

/* debug */
#ifdef CONF_DEBUG /* this one can crash the server if not used correctly */
	MACRO_CONFIG_INT(dbg_dummies, 0, 0, 15, CFGFLAG_SERVER, "")
#endif

MACRO_CONFIG_INT(dbg_focus, 0, 0, 1, CFGFLAG_CLIENT, "")
MACRO_CONFIG_INT(dbg_tuning, 0, 0, 1, CFGFLAG_CLIENT, "")


/* Instagib plus */
MACRO_CONFIG_INT(sv_laserjumps, 0, 0, 1, CFGFLAG_SERVER, "Activate laser jumps")
MACRO_CONFIG_INT(sv_laser_gothroughplayers, 0, 0, 1, CFGFLAG_SERVER, "Let laser penetrate players")
MACRO_CONFIG_INT(sv_laser_reload, 800, 0, 10000, CFGFLAG_SERVER, "Laser reload time in milliseconds")
MACRO_CONFIG_INT(sv_lasers, 1, 1, 10, CFGFLAG_SERVER, "Number of laser beams per laser rifle shot")
MACRO_CONFIG_INT(sv_lasers_split, 1, 0, 10, CFGFLAG_SERVER, "Angle between laser beams if sv_laser is more that 1. measured in pi/100")

MACRO_CONFIG_INT(sv_grenade_split, 0, 0, 10, CFGFLAG_SERVER, "Number of grenades to fire per grenade launcher shot. Set to 1 to get infinite normal grenades")
MACRO_CONFIG_INT(sv_grenade_reload, 500, 0, 10000, CFGFLAG_SERVER, "Grenade launcher reload time in milliseconds")
MACRO_CONFIG_INT(sv_grenade_selfdamage, 1, 0, 1, CFGFLAG_SERVER, "Grenades damage the shooter")

MACRO_CONFIG_INT(sv_anticamper, 1, 0, 1, CFGFLAG_SERVER, "Anticamper protection")
MACRO_CONFIG_INT(sv_anticamper_range, 100, 0, 500, CFGFLAG_SERVER, "Camp radius")
MACRO_CONFIG_INT(sv_anticamper_time, 10, 0, 30, CFGFLAG_SERVER, "Acceptable camp time in seconds")

MACRO_CONFIG_INT(sv_spawnprotect_time, 1000, 0, 10000, CFGFLAG_SERVER, "Spawnprotection time in milliseconds")

MACRO_CONFIG_INT(sv_teambalance, 1, 0, 1, CFGFLAG_SERVER, "Activate team auto-balancing")

MACRO_CONFIG_INT(sv_reserved_slots, 0, 0, 16, CFGFLAG_SERVER, "Keep that many slots reserved to whoever knows the password")
MACRO_CONFIG_STR(sv_reserved_slots_pass, 32, "", CFGFLAG_SERVER, "Reserved slots password")

MACRO_CONFIG_INT(sv_inactivity_kick, 120, 0, 10000, CFGFLAG_SERVER, "")
MACRO_CONFIG_INT(sv_inactivity_kick_spect, 0, 0, 1, CFGFLAG_SERVER, "")

MACRO_CONFIG_INT(sv_chatloop_interval, 0, 0, 10000000, CFGFLAG_SERVER, "Send sv_chatloop_message to chat every this number of milliseconds")
MACRO_CONFIG_STR(sv_chatloop_message, 100, "", CFGFLAG_SERVER, "A message to send to chat every sv_chatloop_interval milliseconds")

MACRO_CONFIG_INT(sv_killingspree, 1, 0, 1, CFGFLAG_SERVER, "Activate killing spree messages")
MACRO_CONFIG_INT(sv_killingspree_kills, 5, 1, 1000, CFGFLAG_SERVER, "Number of kills per killing spree")
MACRO_CONFIG_INT(sv_killingspree_award, 0, 0, 1, CFGFLAG_SERVER, "Provide awards for killing sprees")
MACRO_CONFIG_INT(sv_killingspree_award_lasers, 3, 1, 10, CFGFLAG_SERVER, "For awarded tees, use this instead of sv_lasers")
MACRO_CONFIG_INT(sv_killingspree_award_lasers_split, 1, 0, 10, CFGFLAG_SERVER, "For awarded tees, use this instead of sv_lasers_split")
MACRO_CONFIG_INT(sv_killingspree_award_reload, 75, 1, 100, CFGFLAG_SERVER, "For awarded tees weapon reload times become this number of percents of default")
MACRO_CONFIG_INT(sv_killingspree_tag, 1, 0, 1, CFGFLAG_SERVER, "Insert [SPREE] in fron of killingspreeing tee's name")

MACRO_CONFIG_INT(sv_booster_usetiles, 0, 0, 1, CFGFLAG_SERVER, "Activate boost tiles")
MACRO_CONFIG_INT(sv_teleport_usetiles, 0, 0, 1, CFGFLAG_SERVER, "Activate teleport tiles")

/* Freeze */
MACRO_CONFIG_INT(sv_all_respawn_after_score, 0, 0, 1, CFGFLAG_SERVER, "Respawn unfrozen tees after one of the teams has been completely frozen")

MACRO_CONFIG_INT(sv_join_as_frozen, 0, 0, 1, CFGFLAG_SERVER, "Freeze newcomers")
MACRO_CONFIG_INT(sv_frozen_tags, 1, 0, 1, CFGFLAG_SERVER, "Insert [F] in fron of frozen tee's name")
MACRO_CONFIG_INT(sv_laser_gothroughfrozens, 0, 0, 1, CFGFLAG_SERVER, "Let laser penetrate frozen tees")
MACRO_CONFIG_INT(sv_void_frozen, 0, 0, 1, CFGFLAG_SERVER, "Freeze tees respawned after being killed by death tile")
MACRO_CONFIG_INT(sv_freeze_usetiles, 0, 0, 1, CFGFLAG_SERVER, "Activate freeze tiles")

MACRO_CONFIG_INT(sv_automelt_time, 30, 0, 120, CFGFLAG_SERVER, "Default tee melting time")
MACRO_CONFIG_INT(sv_automelt_display, 1, 0, 1, CFGFLAG_SERVER, "Display melting progress as decreasing armor")

MACRO_CONFIG_INT(sv_melt_time, 1, 0, 5, CFGFLAG_SERVER, "Melting time in seconds for a tee being thawed")
MACRO_CONFIG_INT(sv_melt_range, 100, 0, 1000, CFGFLAG_SERVER, "Tee heat radius")
MACRO_CONFIG_INT(sv_melt_respawn, 1, 0, 1, CFGFLAG_SERVER, "Respawn melted tees")
MACRO_CONFIG_INT(sv_melt_tiles_degeneration, 1, 0, 10, CFGFLAG_SERVER, "Amount of damage per second a tee standing on ice tile receives")
MACRO_CONFIG_INT(sv_melt_tiles_noshoot, 0, 0, 1, CFGFLAG_SERVER, "Allow shooting on hot tiles")
MACRO_CONFIG_INT(sv_melt_health, 10, 1, 10, CFGFLAG_SERVER, "Health of melted tee")
MACRO_CONFIG_INT(sv_melt_usetiles, 0, 0, 1, CFGFLAG_SERVER, "Activate melting tiles")
